const getClientRectsNew1 = (range, pages, pdfViewer) => {
  const clientRects = Array.from(range.getClientRects());
  const [startPage, endPage] = pages;
  const filteredRects = clientRects.filter(el => el.height > 0 && el.height < 100);
  const result = [];
  const startPageView = pdfViewer.viewer.getPageView(startPage.number - 1);
  const endPageView = pdfViewer.viewer.getPageView(endPage.number - 1);
  const startPageRect = startPageView.canvas.getClientRects()[0];
  const endPageRect = endPageView.canvas.getClientRects()[0];
  const fRect = filteredRects[0];
  const lRect = filteredRects[filteredRects.length - 1];
  result.push(fRect.map(function (r) {
    return startPageView.viewport.convertToPdfPoint(r.left - startPageRect.x, r.top - startPageRect.y).concat(startPageView.viewport.convertToPdfPoint(r.right - startPageRect.x, r.bottom - startPageRect.y));
  }));
  result.push(lRect.map(function (r) {
    return endPageView.viewport.convertToPdfPoint(r.left - endPageRect.x, r.top - endPageRect.y).concat(endPageView.viewport.convertToPdfPoint(r.right - endPageRect.x, r.bottom - endPageRect.y));
  }));
  return result;
};

export default getClientRectsNew1;